package domain


type AlibabaWdkSkuCategoryDeleteApiResult struct {
    /*
        接口返回成功标志     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码（只有有异常才有值）     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误信息（只有有异常才有值）     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用成功时的返回类目code     */
    Model  *string `json:"model,omitempty" `

}

func (s *AlibabaWdkSkuCategoryDeleteApiResult) SetSuccess(v bool) *AlibabaWdkSkuCategoryDeleteApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCategoryDeleteApiResult) SetErrCode(v string) *AlibabaWdkSkuCategoryDeleteApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCategoryDeleteApiResult) SetErrMsg(v string) *AlibabaWdkSkuCategoryDeleteApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCategoryDeleteApiResult) SetModel(v string) *AlibabaWdkSkuCategoryDeleteApiResult {
    s.Model = &v
    return s
}
